<?php

/**
 * @file
 * Views hooks for Light Shop.
 */

/**
 * Implements hook_views_data().
 *
 * @return array
 */
function lightshop_views_data() {
  $data['node']['add_to_basket'] = array(
    'title' => t('Basket button'),
    'help' => t('Display add to basket button form (Light Shop).'),
    'group' => t('Node'),
    'field' => array(
      'additional fields' => array(
        'nid' => array(
          'table' => 'node',
          'field' => 'nid',
        ),
        'type' => array(
          'table' => 'node',
          'field' => 'type',
        ),
      ),
      'handler' => 'lightshop_handler_field_add_to_basket',
    ),
  );

  return $data;
}

/**
 * Implements hook_views_handlers().
 *
 * @return array
 */
function lightshop_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'lightshop') . '/views',
    ),
    'handlers' => array(
      'lightshop_handler_field_add_to_basket' => array(
        'parent' => 'views_handler_field',
      ),
    ),
  );
}
